﻿.contact-box{
  width: 1200px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  margin-top: 40px;
}
.contact-slong{
  font-size: 16px;
  color: #555555;
  display: block;
  padding: 20px 0;
  text-align: center;

}

#contact .index-title-box{
  padding-bottom: 0;
}

.contact-info-form{
  font-size:0;
  width: 100%;
  display: block; 
  margin-bottom: 60px;
}
.contact-info-form li{
  list-style: none;
  width: 100%;
  display: block;
  padding: 10px 0;
  border-top: 1px solid #a0a0a0;
}
.contact-info-required{
  font-size: 16px;
  width: 50px;
  height: 30px;
  line-height: 30px;
  background-color: #ea5b31;
  color: #FFF;
  display: inline-block;
  text-align: center;
  letter-spacing: 3px;
  vertical-align: middle;
}
.contact-info-title{
  width: 120px;
  max-width: 100%;
  display: inline-block;
  font-size: 16px;
  color: #000;
  font-weight: bold;
  text-align: right;
  letter-spacing: 2px;
  vertical-align: middle;
}

.contact-info-form-input{
  width: 600px;
  max-width: 100%;
  display: inline-block;
  vertical-align: middle;
  border: 1px solid #a0a0a0;
  height: 40px;
  box-sizing: border-box;
  padding-left: 5px;
  font-size: 16px;
}

.contact-lable{
  width: calc(100% - 775px);
  text-align: right;
  font-size: 30px;
  color: #999999;
  transition: all .3s linear;
  display: inline-block;
  vertical-align: middle;
}
.contact-info-form-textarea{
  width: 600px;
  max-width: 100%;
  display: inline-block;
  vertical-align: top;
  border: 1px solid #a0a0a0;
  height: 150px;
  box-sizing: border-box;
  resize: none;
  font-size: 16px;
  padding-top: 8px;
  padding-left: 5px;
  font-family: '微軟正黑體','Microsoft JhengHei'
}
.contact-textarea .contact-lable,
.contact-textarea .contact-info-title,
.contact-textarea .contact-info-required{
  vertical-align: top;
  margin-top: 5px;
}
.contact-info-form li.button{
  width: 100%;
  display: block;
  position: relative;
  padding: 20px 0;
  margin: 10px 0;
  border-bottom: 1px solid #ea5b31;
}


.button input{
  width: 300px;
  height: 50px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  font-size: 0;
  border: 0;
  background-color: #ea5b31;
  transition: all .3s linear;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  -webkit-appearance: none;
}

.button-label{
  font-size: 22px;
  font-weight: bold;
  letter-spacing: 2px;
  color: #FFF;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  text-align: center;
  margin-top: 20px;
  height: 50px;
  line-height: 50px;
  transition: all .3s linear;
  cursor: pointer;
  pointer-events: none;
}



/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color: #ea5b31;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

.contact-info-form-textarea ::-webkit-input-placeholder { color: #555555; font-family:'微軟正黑體', 'Microsoft JhengHei'}
.contact-info-form-textarea :-moz-placeholder { color: #555555; font-family: '微軟正黑體','Microsoft JhengHei'}
.contact-info-form-textarea ::-moz-placeholder { color: #555555; font-family: '微軟正黑體','Microsoft JhengHei'}
.contact-info-form-textarea :-ms-input-placeholder { color: #555555; font-family: '微軟正黑體','Microsoft JhengHei'}




#name:focus + label,
#tel:focus + label,
#email:focus + label,
#textarea:focus + label{
  color: #ea5b31;
}
